const APP = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    device: null
  },

  onShow: function () {
    this.getDefaultDevice();
  },

  getDefaultDevice: function () {
    const param = {
      openId: APP.globalData.openId
    }
    APP.Get(APP.Url.getDefaultDevice, param).then(res => {
      this.setData({
        device: res.data
      })
    })
  },

  /**
   * 跳转至子页面页面
   */
  toDevices: function () {
    wx.navigateTo({
      url: '/pages/device/list/list',
    })
  },

  /**
   * 跳转至子页面页面
   */
  toContacts: function () {
    wx.navigateTo({
      url: '/pages/set/contacts/contacts',
    })
  },

  /**
 * 跳转至子页面页面
 */
  toVolume: function () {
    wx.navigateTo({
      url: '/pages/set/volume/volume',
    })
  },

  /**
* 跳转至子页面页面
*/
  toBroadcast: function () {
    wx.navigateTo({
      url: '/pages/set/broadcast/broadcast',
    })
  },

  /**
* 跳转至子页面页面
*/
  toUpdateName: function () {
    wx.navigateTo({
      url: '/pages/set/devicename/devicename',
    })
  }
})