const APP = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    deviceNum: "",
  },
  /**
   * 扫码
   */
  scanCode: function () {
    const that = this;
    wx.scanCode({
      success(res) {
        that.setData({
          deviceNum: res.result
        })
      },
      fail: function () {
        console.log("调用摄像头失败")
      }
    })
  },
  /**
   * 提交表单
   */
  submit: function (form) {
    const params = {
      deviceName: form.detail.value.deviceName,
      openNum: form.detail.value.openNum,
    }
    if (params.openNum == null || params.openNum == "") {
      APP.Modal.tips("请输入设备码!")
      return;
    }
    if (params.deviceName == null || params.deviceName == "") {
      APP.Modal.tips("请输入设备名称!")
      return;
    }
    //禁用提交按钮
    this.setData({
      openNum: "",
      deviceName: "",
    })
    APP.Post(APP.Url.bind, params).then(res => {
      APP.Modal.tips("添加成功!");
    })
  }

})